summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2016-08-22 14:26:45 +0200
committerDavid Seifert <soap@gentoo.org>2016-08-23 11:23:55 +0200
commit2e6152106ca730091257de7c7d297bb8944cf7eb (patch)
tree00d8bf2d956791bae53f2a935b6e1d41e1a32145 /dev-python/pycuda
parentapp-vim/ant_menu: Clean up old. (diff)
downloadgentoo-2e6152106ca730091257de7c7d297bb8944cf7eb.tar.gz
gentoo-2e6152106ca730091257de7c7d297bb8944cf7eb.tar.bz2
gentoo-2e6152106ca730091257de7c7d297bb8944cf7eb.zip
dev-python/pycuda: Version bump to 2016.1.2
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=583020 Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/2119 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'dev-python/pycuda')
-rw-r--r--dev-python/pycuda/Manifest1
-rw-r--r--dev-python/pycuda/pycuda-2016.1.2.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/dev-python/pycuda/Manifest b/dev-python/pycuda/Manifest
index 75899c760b5..f36a875ff6b 100644
--- a/dev-python/pycuda/Manifest
+++ b/dev-python/pycuda/Manifest
@@ -1,3 +1,4 @@
DIST pycuda-2012.1.tar.gz 1473695 SHA256 d5b90467b926c73ceaf2dd2662fef2e21e106f00a0aa0d11f09a891aac3925dc SHA512 bb8889fa46de3d4ae57fb47883232953eba0e12a53431fffdefb12af3134540aec2671f0f2fbbe1d836dab354d407e078e773e84f8ee9a5345400a4a59da7937 WHIRLPOOL b35484ddc8d2c1808a0d706dcdcc9ebe49af153b0aaaf8fc2596f4068c5c2dbdb9fb4f84ac46512b314ef9383f70dfcefa4895191d7a9f6d78eee8ae8a56fe71
DIST pycuda-2013.1.1.tar.gz 1586425 SHA256 4b541ff7ab4a867e9389b3b9b9456c6957000f39a20a46e872dd25dd3bece2da SHA512 7a7e95fcd4f76d10234558021064cc299e6d93ab9a428c9560e5a8a73b13304ba9ccc3c103674a25effdc01a14aac21981a62de881a9c990ad16d7689b75e502 WHIRLPOOL c1e958defbe4998c0af5a256df51daa3901f0bf2a45e5c5faed9abf5ba60ebd0dddab6fbb4caff41eac588fe7fc3cca1517c032d95d316492f99c307b6a260f3
DIST pycuda-2014.1.tar.gz 1588986 SHA256 28e8f7425d0bac03a6c80346a4e150024ef0e4740ce11cb54e6aef351127d7af SHA512 57e333941c472feea6974e583f9d27f7f5083011bd8a7cc0bc31d27032885a130f1f57a16b0730696c607b9dca32ad84b96c984cd82351800ec854acdfa8fe9f WHIRLPOOL c71876c6f203a0a8a996a90976ad3f012ce1497ee84534c7fb8876e19293766d4641fbac00a538b1ddb074b29f8d8347f39caae613839b38cf5ee9eb15a86c09
+DIST pycuda-2016.1.2.tar.gz 1603373 SHA256 a7dbdac7e2f0c0d2ad98f5f281d5a9d29d6673b3c20210e261b96e9a2d0b6e37 SHA512 7a1a9d6723651bdc6f584de884c46bbaa17970e622b4d800c7f36ff57817807a51c7e4aa0a40872e46fc1243087af6dda07489bb60b6a33f52740a4d7a9e69a7 WHIRLPOOL f1c169d0bac25f625aa6609bf06fdc7fadce00fd291d27113b9ae92995801cfc2361cfb254bec836c2547ff4b96498c945f73a0ed76032b382e13f315222e711
diff --git a/dev-python/pycuda/pycuda-2016.1.2.ebuild b/dev-python/pycuda/pycuda-2016.1.2.ebuild
new file mode 100644
index 00000000000..67e0d947d39
--- /dev/null
+++ b/dev-python/pycuda/pycuda-2016.1.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit cuda distutils-r1
+
+DESCRIPTION="Python wrapper for NVIDIA CUDA"
+HOMEPAGE="http://mathema.tician.de/software/pycuda/ https://pypi.python.org/pypi/pycuda"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples opengl test"
+
+RDEPEND="
+ dev-libs/boost[python,${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/pytools-2013[${PYTHON_USEDEP}]
+ dev-util/nvidia-cuda-toolkit
+ x11-drivers/nvidia-drivers
+ opengl? ( virtual/opengl )"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mako[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}] )"
+
+# We need write acccess /dev/nvidia0 and /dev/nvidiactl and the portage
+# user is (usually) not in the video group
+RESTRICT="userpriv"
+
+python_prepare_all() {
+ cuda_sanitize
+ sed \
+ -e "s:'--preprocess':\'--preprocess\', \'--compiler-bindir=$(cuda_gccdir)\':g" \
+ -e "s:\"--cubin\":\'--cubin\', \'--compiler-bindir=$(cuda_gccdir)\':g" \
+ -e "s:/usr/include/pycuda:${S}/src/cuda:g" \
+ -i pycuda/compiler.py || die
+
+ touch siteconf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+ cd "${BUILD_DIR}" || die
+ rm -f ./siteconf.py || die
+ "${EPYTHON}" "${S}"/configure.py \
+ --boost-inc-dir="${EPREFIX}/usr/include" \
+ --boost-lib-dir="${EPREFIX}/usr/$(get_libdir)" \
+ --boost-python-libname=boost_python-$(echo ${EPYTHON} | sed 's/python//')-mt \
+ --boost-thread-libname=boost_thread-mt \
+ --cuda-root="${EPREFIX}/opt/cuda" \
+ --cudadrv-lib-dir="${EPREFIX}/usr/$(get_libdir)" \
+ --cudart-lib-dir="${EPREFIX}/opt/cuda/$(get_libdir)" \
+ --cuda-inc-dir="${EPREFIX}/opt/cuda/include" \
+ --no-use-shipped-boost \
+ $(usex opengl --cuda-enable-gl "") || die
+}
+
+src_test() {
+ # we need write access to this to run the tests
+ addwrite /dev/nvidia0
+ addwrite /dev/nvidiactl
+ python_test() {
+ py.test --debug -v -v -v || die "Tests fail with ${EPYTHON}"
+ }
+ distutils-r1_src_test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}